For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Overview
    • Introduction
    • Response Codes
  • API Reference
      • GETGet template
      • PUTUpdate template
      • DELDelete template
      • GETList templates
      • POSTCreate template
LogoLogo
API ReferenceTemplates

List templates

||View as Markdown|
GET
https://hublinks.io/rest/accounts/:account_id/templates
GET
/rest/accounts/:account_id/templates
$curl -G https://hublinks.io/rest/accounts/account_id/templates \
> -H "X-API-KEY: <apiKey>" \
> -d group=account_abc_workflows
200Response
1{
2 "success": true,
3 "templates": [
4 {
5 "name": "Business Coaches - US",
6 "group": "account_workflows",
7 "account_id": "ACCO136ce10b5f8a7682efb3",
8 "created_at": 1753382019986,
9 "updated_at": 1753382019986,
10 "description": "Business Coaches - US",
11 "template_id": "template_3cd3786f8006f39d4a73"
12 }
13 ]
14}

List templates for a group. Optional: account_id/agency_id filters.

Was this page helpful?
Previous

Delete template

Next

Create template

Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

account_idstringRequired

Query parameters

groupstringOptional

Response

This endpoint returns an object.
successboolean
templateslist of objects
last_keyany